package org.apithefire.servlet.dynamic;

import java.util.Collections;
import java.util.Enumeration;
import java.util.Map;

import javax.servlet.FilterConfig;
import javax.servlet.ServletContext;

import org.apithefire.util.lang.Objects;

public class DynamicFilterConfig implements FilterConfig {
	
	private final DynamicFilter dynamicFilter;
	private final ServletContext servletContext;
	private final Map<String, String> initParamMap;

	public DynamicFilterConfig(DynamicFilter dynamicFilter,
			ServletContext servletContext) {
		this.dynamicFilter = Objects.nonNull(dynamicFilter);
		this.servletContext = Objects.nonNull(servletContext);
		this.initParamMap = Objects.nonNull(dynamicFilter.getInitParamMap());
	}

	public String getFilterName() {
		return dynamicFilter.toString();
	}

	public ServletContext getServletContext() {
		return servletContext;
	}

	public Enumeration<String> getInitParameterNames() {
		return Collections.enumeration(initParamMap.keySet());
	}

	public String getInitParameter(String name) {
		return initParamMap.get(Objects.nonNull(name));
	}
	
}