package org.apithefire.servlet.resource;

import java.io.IOException;
import java.util.Properties;

import org.apithefire.util.lang.Objects;
import org.apithefire.util.runtimeexception.io.RuntimeIoException;

public class DefaultContentTypeResolver implements ContentTypeResolver {
	
	private final Properties contentTypes;
	
	public DefaultContentTypeResolver() {
		try {
			contentTypes = new Properties();
			contentTypes.load(getClass().getResourceAsStream(
					"ContentTypes.properties"));
		} catch (IOException e) {
			throw new RuntimeIoException(e);
		}
	}

	public String resolveContentType(String suffix) {
		String contentType = (String) contentTypes.get(Objects.nonNull(suffix));
		
		return contentType == null ? "application/octet-stream" : contentType;
	}

}
