package org.apithefire.servlet.server;

import javax.servlet.Servlet;

import org.apithefire.util.lang.Objects;
import org.apithefire.util.lang.Path;

public abstract class Context {

	private final Path path;
	private Servlet servlet;
	
	protected Context(Path path) {
		this.path = Objects.nonNull(path);
	}
	
	public Path getPath() {
		return path;
	}

	public Servlet getServlet() {
		return servlet;
	}

	public void setServlet(Servlet servlet) {
		this.servlet = servlet;
	}

	protected void configure() {
		if (path.startsWith("") || path.endsWith("")) {
			throw new ServerException(
					"Invalid context path (starts or ends with empty component).");
		}
		if (servlet == null) {
			throw new ServerException("Context servlet is not set.");
		}
	}

}
