package org.apithefire.servlet.util;

import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;

import org.apithefire.util.lang.Path;

public class ServletUtil {
	
	public static Path splitRequestPath(String path) {
		if (path == null) {
			return Path.EMPTY_PATH;
		}
		return Path.split(path).trim();
	}

	public static Path splitLastComponentAsSuffix(Path path) {
		if (path.isEmpty()) {
			return Path.EMPTY_PATH;
		}
		
		Path lastComp = Path.split(path.componentAt(path.length() - 1), ".");
		
		if (lastComp.length() < 2) {
			return Path.EMPTY_PATH;
		}
		return lastComp.subPath(1);
	}
	
	public static String parseSimpleSuffix(Path path) {
		if (path.isEmpty()) {
			return "";
		}
		
		String lastComp = path.componentAt(path.length() - 1);
		int lastDotIndex = lastComp.lastIndexOf('.');
		
		if (lastDotIndex == -1) {
			return "";
		}
		return lastComp.substring(lastDotIndex + 1);
	}
	
	public static HttpServletRequest httpRequest(ServletRequest request)
			throws ServletException {
		try {
			return (HttpServletRequest) request;
		} catch (ClassCastException e) {
			throw new ServletException("Non-HTTP request.");
		}
	}

}
